#pragma once
#include "ModuleBase.h"

namespace mdd {
    class Parameter : public ModuleBase {
    protected:
        bool configureChild(const json& config) override;

    public:
        Parameter();
        state update() override;
        std::string setName(const std::string& type);
        std::string setKey(const std::string& type);
        std::string setAppendix(int appendix) override;
    };
}